\documentclass{article}
\usepackage[utf8]{inputenc}
\usepackage{amsmath, amsthm, amssymb}

\begin{document}
\tableofcontents
\section{First section}
Introduction to first section.

\subsection{First subsection of first section}
Text of first subsection.

\subsection{Second subsection of first section}
Text of second subsection.

\section{Second section}
Introduction to second section.

\subsection{First subsection of second section}
Text of that subsection.

\subsection{Second subsection of second section}
Text of that subsection.

\subsubsection{Sub-subsection}
Probably this is too fine a division.
\end{document}     
